%define module	Hal-Cdroms
%define name	perl-%{module}
%define version	0.03
%define release	%mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Access cdroms through HAL and D-Bus
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/P/PI/PIXEL/%{module}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/%{module}
Requires:	perl(Net::DBus)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Buildarch:	noarch

%description
Access cdroms through HAL and D-Bus

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Hal/Cdroms*
%{_mandir}/*/*




%changelog
* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 0.03-5mdv2011.0
+ Revision: 667208
- mass rebuild

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.03-4mdv2010.1
+ Revision: 426511
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.03-3mdv2009.1
+ Revision: 351964
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.03-2mdv2009.0
+ Revision: 223784
- rebuild

* Mon Mar 03 2008 Pixel <pixel@mandriva.com> 0.03-1mdv2008.1
+ Revision: 178078
- 0.03:
- ->mount and ->umount now work even the cdrom is listed in fstab,
  use ->mount_hal and ->umount_hal if you want the HAL restriction

* Fri Feb 29 2008 Pixel <pixel@mandriva.com> 0.02-1mdv2008.1
+ Revision: 176782
- 0.02:
- save error in $hal_cdroms->{error}
- ->mount: do not set the mount point, HAL handles it

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 0.01-1mdv2008.1
+ Revision: 176557
- fix BuildRequires and add BuildRoot
- initial release
- create perl-Hal-Cdroms

